<?php
/*
function my_fields($fields) {
	$fields['new'] = '<p>Some new input field here</p>';
	return $fields;
	}
add_filter('comment_form_default_fields','my_fields');
*/
/*-----------------------------------------------------------------------------------*/
/* Options Framework Functions
/*-----------------------------------------------------------------------------------*/

/* Set the file path based on whether the Options Framework is in a parent theme or child theme */if ( STYLESHEETPATH == TEMPLATEPATH ) {
	define('OF_FILEPATH', TEMPLATEPATH);
	define('OF_DIRECTORY', get_bloginfo('template_directory'));
} else {
	define('OF_FILEPATH', STYLESHEETPATH);
	define('OF_DIRECTORY', get_stylesheet_directory_uri());
}

/* These files build out the options interface.  Likely won't need to edit these. */

require_once (OF_FILEPATH . '/admin/admin-functions.php');		// Custom functions and plugins
require_once (OF_FILEPATH . '/admin/admin-interface.php');		// Admin Interfaces (options,framework, seo)

/* These files build out the theme specific options and associated functions. */

require_once (OF_FILEPATH . '/admin/theme-options.php'); 		// Options panel settings and custom settings
require_once (OF_FILEPATH . '/admin/theme-functions.php'); 	    // Theme actions based on options settings

/*-----------------------------------------------------------------------------------*/
/* End Options Framework Functions
/*-----------------------------------------------------------------------------------*/

include(TEMPLATEPATH . '/includes/functions/sidebars.php'); 
include(TEMPLATEPATH . '/includes/widgets.php'); 
include(TEMPLATEPATH . '/includes/functions/shortcodes.php');
include(TEMPLATEPATH . '/includes/functions/custom-post-types.php');
include(TEMPLATEPATH . '/includes/functions/menus.php');
include(TEMPLATEPATH . '/includes/functions/custom_metaboxes.php');
include(TEMPLATEPATH . '/includes/functions/custom_functions.php');
include(TEMPLATEPATH . '/includes/functions/core_functions.php');
include(TEMPLATEPATH . '/includes/functions/create-reviews-post.php');
include(TEMPLATEPATH . '/includes/functions/convert-posts-reviews.php');




/*
$file_dir2=get_bloginfo('template_directory');

wp_enqueue_script("searchbox", $file_dir2 ."/js/searchbox.js", false, "1.0",true);

$search_text=get_option('zx_search_text');
$params2= array(
  'search_text' => $search_text,
);

wp_localize_script( 'searchbox', 'my_params2', $params2 );

remove_filter('comment_text', 'wptexturize');

*/


function enque_tablesorter() {
    wp_register_script( 'tablesorter', get_template_directory_uri().'/js/jquery.tablesorter.js', array('jquery'));
    wp_enqueue_script( 'tablesorter' );
}    
 
add_action('wp_enqueue_scripts', 'enque_tablesorter');

/*-----------------------------------------------------------------------------------*/
/* Shortcode Generator Functions
/*-----------------------------------------------------------------------------------*/

require_once (TEMPLATEPATH . '/includes/functions/tinymceModules/tinymce.php');

/*-----------------------------------------------------------------------------------*/
/* Google Plus Button
/*-----------------------------------------------------------------------------------*/

function pro_header_codes(){ ?>
 
   <!-- slider initialization goes here -->
   <?php $slider_control = ( get_option('pr_slider_control') != "" )?get_option('pr_slider_control'):"scrollLeft";
	  $slide_speed = (int)get_option('pr_slide_speed');
	  if( $slide_speed == 0 ) $slide_speed = 1000;?>
	<script type="text/javascript">
    $slider = {
    context: false,
    tabs: false,
    timeout: 4500,      // time before next slide appears (in ms)
    slideSpeed: <?php echo $slide_speed;?>,   // time it takes to slide in each slide (in ms)
    tabSpeed: 300,      // time it takes to slide in each slide (in ms) when rotating through tabs
    fx: '<?php echo $slider_control;?>',   // slide control: fade, scrollLeft, right etc.
    
    init: function() {
        // set the context to help speed up selectors/improve performance
        this.context = $('#slider');
        
        // set tabs to current hard coded navigation items
        this.tabs = $('ul.slides-nav li', this.context);
        
        // remove hard coded navigation items from DOM 
        // because they aren't hooked up to jQuery cycle
        this.tabs.remove();
        
        // prepare slider and jQuery cycle tabs
        this.prepareSlideshow();
        
        $('#slider .slides li').css('display','block');
    },
    
    prepareSlideshow: function() {
        // initialise the jquery cycle plugin -
        // for information on the options set below go to: 
        // http://malsup.com/jquery/cycle/options.html
        $('div.slides > ul', $slider.context).cycle({
            fx: $slider.fx,
            timeout: $slider.timeout,
            speed: $slider.slideSpeed,
            fastOnEvent: $slider.tabSpeed,
            pager: $('ul.slides-nav', $slider.context),
            pagerAnchorBuilder: $slider.prepareTabs,
            before: $slider.activateTab,
            pauseOnPagerHover: true,
            pause: true
        });            
    },
    prepareTabs: function(i, slide) {
        // return markup from hardcoded tabs for use as jQuery cycle tabs
        // (attaches necessary jQuery cycle events to tabs)
        return $slider.tabs.eq(i);
    },
    activateTab: function(currentSlide, nextSlide) {
        // get the active tab
        var activeTab = $('a[href="#' + nextSlide.id + '"]', $slider.context);
        
        // if there is an active tab
		if(activeTab.length) {
            // remove active styling from all other tabs
            $slider.tabs.removeClass('on');
            // add active styling to active button
            activeTab.parent().addClass('on');
        }            
    }            
};

$(function() {
    // add a 'js' class to the body
    $('body').addClass('js');    
    // initialise the slider when the DOM is ready
    $slider.init();
	 jQuery("#compare_review_table").tablesorter();
});  
</script>   
  <!-- Google Plus One -->
  <script type="text/javascript" src="https://apis.google.com/js/plusone.js"></script>
 
<?php } add_action( 'wp_head', 'pro_header_codes' );

/*-----------------------------------------------------------------------------------*/
/* RSS Support for Custom Post Types
/*-----------------------------------------------------------------------------------*/

function myfeed_request($qv) {
	if (isset($qv['feed']))
		$qv['post_type'] = get_post_types( array( 'public' => true ) );
	return $qv;
}
add_filter('request', 'myfeed_request');