<?php if(function_exists('wp_paginate')) { 
wp_paginate();
?>
<?php } else if( is_category() || is_search() || is_tag() || is_tax()  ) {?>
<div class="page_navigation">
<?php 
$big = 999999999; // need an unlikely integer
echo paginate_links( array(
	'base' => str_replace( $big, '%#%', esc_url( get_pagenum_link( $big ) ) ),
	'format' => '?paged=%#%',
	'current' => max( 1, get_query_var('paged') ),
	'total' => $wp_query->max_num_pages,
	'prev_text' => 'Older Review',
	'next_text'	=> 'Newer Review',
	'show_all' => true,
	'prev_next' => true
) );

?>
<?php } else {  // Otherwise, use traditional Navigation  ?>
            <div id="more_prev">
                <div class="previous_link"><?php next_post_link( '%link', __( 'Older Review', 'proreview' ) ); ?></div>
                <div class="newer_links"><?php previous_post_link( '%link', __( '<span class="meta-nav">&larr;</span> Newer Review', 'proreview' ) ); ?></div>   
             </div><!--end more_prev -->
<?php } ?> 
</div>
